Bug 173708 - Yumex refreshes repo data after every operation
Yumex refreshes repo data after every operation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 22:46 EST by Joshua Wulf
Modified: 2014-10-19 18:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 04:47:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2005-11-18 22:46:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
Yumex currently refreshes the repo data after every single operation. For example, I start it up, then I wait for the repo data to refresh. Then I select a whole lot of packages, then hit install. It then comes back with a conflict message, so I click OK, then it *refreshes the repo data again*, before giving me a chance to deselect that one single package that needs to be deselected to do the install operation. 

Now that is excessively. On the other hand, if I use Synaptic in Ubuntu, it only refreshes the repo data when I explicitly tell it to, or when I enable another repository. Yumex would be a lot faster and easier to use if it didn't keep refreshing the repo data like that. Is there any way to decrease the number of times yumex refreshes the repo data? I mean maybe once a session at start up (if that), when a repo is added or enabled, plus on demand of the user should be sufficient.

Version-Release number of selected component (if applicable):
yumex-0.42-9.0.fc4

How reproducible:
Always

Steps to Reproduce:
1. Use Yumex
2.
3.
  

Actual Results:  You wait around for Yumex to refresh the repository data everytime you do anything.
 

Expected Results:  It should refresh the data once and then know what it is. The repo is not changing every minute. Get the data once and use it.

Additional info:

I don't know whether to file this as a bug or an enhancement. It may be expected behaviour. I don't like it though, and I think yumex would be a lot more usable if this could be addressed.
Comment 1 Tim Lauridsen 2005-11-19 23:59:21 EST
I have been working a lot on this issue in the currect development edition of
yumex, metadata for a repository is only loaded once, next the one in the local
yum cached is used. i have also added at Fastest Mirror detection routine
written by Luke Macken, so the fastest mirrors are detected and used. I have
made a lot of improments to improve the speed of yumex.
I you like i can mail you a rpm, the next time i do a development build, so you
can try it out.
Comment 2 Joshua Wulf 2005-11-20 18:31:13 EST
Yes, please do - that would be awesome. I really dig on Yumex, and those kind of
improvements will make the thing r0ck! :-)

Comment 3 Tim Lauridsen 2005-11-21 04:41:03 EST
Get the lastest yumex development build here. 

http://linux.rasmil.dk/dnl/yumex-devel/

Note You need to log in before you can comment on or make changes to this bug.